# How to contribute to 'AIMSICD'
--------------------------------

To avoid confusion and rejected development commits, please use this guide!

#### DEVELOPING

Feel invited to develop with us using these steps:

1. [Fork our repository](https://help.github.com/articles/fork-a-repo/) and optionally give it a star when you like it.
2. Download your fork using a Git Cient like [SmartGit](http://www.syntevo.com/smartgit/) (all platforms).
3. Pick [an Issue](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/issues) you'd like to work on. Introduce yourself in that Issue.
4. Work on resolving the Issue you picked using your local code copy.
5. Add [Code Comments](https://source.android.com/source/code-style.html#java-style-rules) for documentation and follow our [Style Guide](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/wiki/Style-Guide).
6. Increase the build number `*-alpha-bXX` in `android:versionName`.
7. Test your changes and submit a [pull request](https://help.github.com/articles/using-pull-requests/) when we shall add it.
8. Monitor our [Current Development Status and Development Cycle](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/wiki/Development-Status).
9. Don't be shy to ask if you need help. Ask in your Issue or [contact us](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/wiki/Contact).

---

#### TRANSLATING

Let our app start up in your native language!

* Copy file [translatable_strings.xml](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/raw/development/app/src/main/res/values/translatable_strings.xml) into your values-[code](https://en.wikipedia.org/wiki/ISO_639-1) folder.
* Example: `app/src/main/res/values-de/translatable_strings.xml`
* Translate the xml-file with an Editor, Android Studio or IntelliJ IDEA.
6. Increase the build number `*-alpha-bXX` in `android:versionName`.
7. Test your changes and submit a [pull request](https://help.github.com/articles/using-pull-requests/) when we shall add it.

---

#### TESTING

Can't code (yet)? No problem, we love you too!

1. Grab our [latest Release](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/releases) (or even better: compile from [development](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/tree/development)).
2. Read and understand our [WIKI](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/wiki) and **fully agree** to our [Disclaimer](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/blob/master/DISCLAIMER).
3. Test our App on demonstrations and riots (warning: [Privacy](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/wiki/Privacy/) at risk). 
4. Test all functions of our App and check for possible translation bugs.
5. Spread [our website](https://secupwn.github.io/Android-IMSI-Catcher-Detector), [tweet about us](https://twitter.com/AIMSICD) or use any other [Media Material](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/wiki/Media-Material).

---

#### SEEKING

Special positions we are currently seeking skilled people for:

* People with equipment to verify our app (e.g. OpenBTS).
* People with a CryptoPhone for double app verification.
* Fixing the identified [Coverity Scan Defects](https://scan.coverity.com/projects/3346) of our app.
* Whistleblower working for an IMSI-Catcher producer.

---

#### FORMATTING

Useful links to help you with correctly formatting posts.

* [Markdown CheatSheet](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet)
* [GitHub flavored Markdown](https://help.github.com/articles/github-flavored-markdown)
* [Markdown Basics](https://help.github.com/articles/markdown-basics)
* [Writing on GitHub](https://help.github.com/articles/writing-on-github)
* [Mastering Markdown](https://guides.github.com/features/mastering-markdown/)
* [Markdown Tables Generator](http://www.tablesgenerator.com/markdown_tables)
* [Code/Syntax Highlighting](https://github.com/github/linguist/blob/master/lib/linguist/languages.yml)

---

#### DEBUGGING

* Please follow our instructions on [how to correctly submit Issues](https://github.com/SecUpwN/Android-IMSI-Catcher-Detector/wiki/Submitting-Issues).
